ViennaCL - The Vienna Computing Library: viennacl::linalg::block_ilu_precond< MatrixT, ILUTag > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::linalg::block_ilu_precond< MatrixT, ILUTag > Class Template Reference

A block ILU preconditioner class, can be supplied to solve()-routines. More...

`#include <block_ilu.hpp>`

## Public Types
typedef std::vector< std::pair < vcl_size_t, vcl_size_t > > | index_vector_type

## Public Member Functions
| block_ilu_precond (MatrixT const &mat, ILUTag const &tag, vcl_size_t num_blocks=8)
| block_ilu_precond (MatrixT const &mat, ILUTag const &tag, index_vector_type const &block_boundaries)
template<typename VectorT >
void | apply (VectorT &vec) const

## Detailed Description

### template<typename MatrixT, typename ILUTag>
class viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >

A block ILU preconditioner class, can be supplied to solve()-routines.

Template Parameters

  MatrixType | Type of the system matrix
  ILUTag | Type of the tag identifiying the ILU preconditioner to be used on each block.

Examples:
  iterative-ublas.cpp, and iterative.cpp.

Definition at line 132 of file block_ilu.hpp.

## Member Typedef Documentation

template<typename MatrixT , typename ILUTag >

typedef std::vector<std::pair<vcl_size_t, vcl_size_t> > viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >::index_vector_type

Definition at line 137 of file block_ilu.hpp.

## Constructor & Destructor Documentation

template<typename MatrixT , typename ILUTag >

viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >::block_ilu_precond | ( | MatrixT const & | mat,
|  | ILUTag const & | tag,
|  | vcl_size_t | num_blocks = `8`
| ) |  |
| inline

Definition at line 140 of file block_ilu.hpp.

template<typename MatrixT , typename ILUTag >

viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >::block_ilu_precond | ( | MatrixT const & | mat,
|  | ILUTag const & | tag,
|  | index_vector_type const & | block_boundaries
| ) |  |
| inline

Definition at line 161 of file block_ilu.hpp.

## Member Function Documentation

template<typename MatrixT , typename ILUTag >
template<typename VectorT >

void viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >::apply | ( | VectorT & | vec | ) | const
| inline

Definition at line 174 of file block_ilu.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/block_ilu.hpp